Issue 111374

Summary: Adding locale data Rusyn language [rue-SK]
Product: Internationalization Reporter: gazeb <ruedev>
Component: localedataAssignee: sascha.ballach
Status: VERIFIED FIXED QA Contact: issues <>
Severity: Trivial    
Priority: P3 CC: issues
Version: current   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description gazeb 2010-05-04 20:22:00 UTC
Please add Rusyn (Slovakia) locale data to openoffice.
The data are available at
Comment 1 erack 2010-06-10 19:51:59 UTC
Sorry, this went under my radar line.

Thank you for your contribution.
Please note that to integrate code or data contributed we need a signed
Contributor Agreement form (SCA) filled-out, if you didn't already, see
To be able to lookup your name in the list of approved assignments I'd
appreciate if you stated your full name here in this issue.

Please sign the SCA as soon as possible!
Comment 2 erack 2010-06-10 20:09:24 UTC
In cws locales33a:

changeset 915d96904ca2
M i18npool/source/localedata/data/
M i18npool/source/localedata/data/
M i18npool/source/localedata/localedata.cxx
A i18npool/source/localedata/data/rue_SK.xml

You can observe the progress and possible integration date of CWS locales33a at

In the locale data file the number formats for currency used
a parenthesized form for negative amounts ([CURRENCY]#,##0.00) that
usually is only correct for locales based on an en-US locale, which
probably is an oversight here. I changed those codes to
with leading minus sign and no space between minus and currency symbol.

Other things worth to mention:

The <IndexKey> element contains simply A-Z, which for a Cyrillic script
language may not be correct. Please see the comment in
about usage. However, nothing needs to be changed if the Unicode code
point order of the Cyrillic characters is fine for Rusyn.

Both <FollowPageWord> elements are identical, that probably is not
meant. Again, see the locale.dtd for description.

In LC_CURRENCY, the <CurrencyID> and <BankSymbol> are given as SKK,
which is wrong as the Euro is used, both have to be EUR instead.
I corrected this.

In case you'll have any updates for the data please create a diff based
on the then current file in the repository and attach the diff to a new

Comment 3 ooo 2010-06-11 09:52:58 UTC
Reassigning to QA for verification.
Comment 4 stefan.baltzer 2010-06-14 15:55:06 UTC
Verified in CWS locales33a.